Bug 487808 - Review Request: perl-HTML-FormFu-Model-DBIC - Integrate HTML::FormFu with DBIx::Class
Review Request: perl-HTML-FormFu-Model-DBIC - Integrate HTML::FormFu with DBI...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/HTML-Form...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 17:55 EST by Chris Weyl
Modified: 2009-03-01 03:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 03:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-27 17:55:15 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-HTML-FormFu-Model-DBIC.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-HTML-FormFu-Model-DBIC-0.03007-1.fc10.src.rpm

Description:
Integrate your HTML::FormFu forms with a DBIx::Class model.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1207046

*rt-0.05
Comment 1 Parag AN(पराग) 2009-02-27 21:49:09 EST
Review:
+ package builds in mock (rawhide i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=1207046
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
caca3a81477206d8233ed39b46b4d8ce  HTML-FormFu-Model-DBIC-0.03007.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=107, Tests=648, 124 wallclock secs ( 0.15 usr  0.18 sys + 40.77 cusr  5.05 csys = 46.15 CPU)
+ Package perl-HTML-FormFu-Model-DBIC-0.03007-1.fc11-noarch ->
   Provides: perl(HTML::FormFu::Model::DBIC) = 0.03007
   Requires: perl(Carp) perl(HTML::FormFu::Util) perl(Scalar::Util) perl(Storable) perl(base) perl(strict) perl(warnings)

 APPROVED.
Comment 2 Chris Weyl 2009-02-28 01:03:17 EST
New Package CVS Request
=======================
Package Name: perl-HTML-FormFu-Model-DBIC
Short Description: Integrate HTML::FormFu with DBIx::Class
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-28 19:21:41 EST
cvs done.
Comment 4 Chris Weyl 2009-03-01 03:17:51 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.